package com.unis.base.server.service;

import java.util.List;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.EquipmentTypeVO;
import com.unis.base.common.vo.EquipmentTypequeryVO;
import com.unis.base.server.entity.DRyxxsjyDO;



public interface EquipmentTypeService {

	/**
	 * 查询列表
	 * @param equipmentTypequeryVO
	 * @return
	 */
	List<EquipmentTypeVO> getEquipmentTypeList(EquipmentTypequeryVO equipmentTypequeryVO);
	
	/**
	 * @param equipmentTypequeryVO
	 * @param pageNum
	 * @param pageSize
	 * @return 根据参数获取设备类型列表
	 */
	List<EquipmentTypeVO> getEquipmentTypeListPage(EquipmentTypequeryVO equipmentTypequeryVO, Integer pageNum, Integer pageSize);

	/**
	 * 根据设备类型编号获取设备类型
	 * @param sblxbh
	 * @return
	 */
	EquipmentTypeVO getEquipmentTypeVOBysblxbh(String sblxbh);

	/**
	 * 更新设备类型
	 * @param equipmentTypeVO
	 * @return
	 */
	int update(EquipmentTypeVO equipmentTypeVO);

	
	/**
	 * 删除设备类型
	 * @param sblxbh
	 * @return
	 */
	int delete(String sblxbh);

	/**
	 * 添加设备类型
	 * @param equipmentTypeVO
	 * @return
	 */
	int insert(EquipmentTypeVO equipmentTypeVO);

}
